Reset Search
 

 

Article

KB45380 - Sophos Core Agent 2022.1.1.3 and 2022.2.1.9 failing compliance with ESAP 4.0.5

« Go Back

Information

 
Last Modified Date8/11/2022 4:30 PM
Synopsis
This article outlines the compliance failure issue seen with Sophos Core Agent 2022.1.1.3 and 2022.2.1.9.

 
Problem or Goal
With the latest ESAP version (4.0.5), users are unable to connect to the VPN due to compliance issues when using Sophos Core Agent 2022.1.1.3 or 2022.2.1.9.

 
Cause
The root cause is currently under investigation by Ivanti and OPSWAT.

The issue can be confirmed using the ESAP Diagnostics Logs. Please see KB28146 for more information on how to collect these.

 
Solution
Please continue to monitor this KB for updates.


The following has been suggested as a workaround:
  • Sophos Central → Endpoint Protection → Computers → Choose the computer that has the issue → Check if Real-time protection is disabled → GetRTPState returns false → expected.
  • After that, try to change this status on the Dashboard, or Turn off tamper protection (Sophos Central → Endpoint Protection → Computers → Settings → Tamper Protection → turn off this, we can manually turn on/off RTP state on the UI of product) → will get this state correctly.

If the issue persists after these changes, please open a support ticket with the following attached:
  • ESAP Diagnostics Logs (KB28146, linked below)
  • A screenshot from the Sophos "About" page, showing the version number

 
Related Links
https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB28146
Attachment 1 
Created ByJamie Hughes

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255